Last Comment Bug 312932 - Java applet + screen reader no longer crashes; allow that combo
: Java applet + screen reader no longer crashes; allow that combo
Status: RESOLVED FIXED
: access, fixed1.8, sec508
Product: Core Graveyard
Classification: Graveyard
Component: Java: OJI (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Aaron Leventhal
: Pete Zha
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 16:07 PDT by Aaron Leventhal
Modified: 2010-10-16 12:26 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Back out changes from bug 288356 -- allow applets to run when screen reader is present (1.66 KB, patch)
2005-10-18 17:33 PDT, Aaron Leventhal
parente: review+
bzbarsky: superreview+
asa: approval1.8rc1+
Details | Diff | Splinter Review

Description Aaron Leventhal 2005-10-18 16:07:26 PDT
In bug 288356 we turned off Java applets on Windows when a screen reader was
present because heap corruption caused Firefox to crash.

Wayne Deangelo from the IBM accessibility center recently ran tests with a
variety of older and new JREs, and the problem has gone away.

We should reenable Java applets on Windows when a screen reader is present --
basically, back out bug 288356.
Comment 1 Aaron Leventhal 2005-10-18 17:33:37 PDT
Created attachment 200016 [details] [diff] [review]
Back out changes from bug 288356 -- allow applets to run when screen reader is present
Comment 2 Dan Kinnunen 2005-10-20 11:51:54 PDT
Verified that this has been fixed in dev build 10/19/05 build

Note You need to log in before you can comment on or make changes to this bug.